# FIXME: I would love to enable this but the mozilla-firefox
# FIXME: packagers would have a fit
%define with_lib	0

%define name		nss
%define major		3
%define libname		%mklibname %{name} %{major}
%define version		3.11
%define cvs_version	3_11
%define release		%mkrel 1

Summary:		Netscape Security Services
Name:			%{name}
Version:		%{version}
Release:		%{release}
Epoch:			1
Group:			System/Libraries
License:		MPL/GPL
URL:			http://www.mozilla.org/projects/security/pki/nss/index.html
Source0:		ftp://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_%{cvs_version}_RTM/src/nss-%{version}.tar.bz2
Source1:		nss.pc
Patch1:			nss-system-nspr.patch.bz2
# (fc) 1.0-9mdk don't call netstat to set entropy (Debian) (Mdk bug #9427)
Patch45:		mozilla-firefox-1.0-fixrandom.patch.bz2
# (oe) stolen from fedora
Patch50:		nss-3.11-zdefs.patch
Patch51:		nss-bug180726.patch
BuildRequires:		nspr-devel
BuildRequires:		nspr-static-devel
BuildRequires:		zlib-devel
BuildRequires:          mozilla-firefox-devel
BuildRequires:          zip
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Network Security Services (NSS) is a set of libraries designed to 
support cross-platform development of security-enabled client and server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS
#11, PKCS #12, S/MIME, X.509 v3 certificates, and other security standards. For 
detailed information on standards supported, see 
http://www.mozilla.org/projects/security/pki/nss/overview.html.

Note: This package currently contains the NSS binaries only. The 
libraries have been not been included due to conflicts with the Mozilla 
libraries.

%if %{with_lib}
%package -n %{libname}
Summary:		Network Security Services (NSS)
Group:			System/Libraries
Provides:		mozilla-nss = %{version}-%{release}

%description -n %{libname}
Network Security Services (NSS) is a set of libraries designed to 
support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS
#12, S/MIME, X.509 v3 certificates, and other security standards. For
detailed information on standards supported, see
http://www.mozilla.org/projects/security/pki/nss/overview.html.

%package -n %{libname}-devel
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	nspr-devel
Provides:	libnss-devel = %{version}-%{release}
Provides:	nss-devel = %{version}-%{release}

%description -n %{libname}-devel
Header files to doing development with Network Security Services.

%package -n %{libname}-static-devel
Summary:	Network Security Services (NSS) - static libraries
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	nspr-devel = %{version}-%{release}
Provides:	libnss-devel = %{version}-%{release}
Provides:	nss-devel = %{version}-%{release}

%description -n %{libname}-static-devel
Static libraries for doing development with Network Security Services.
%endif

%prep

%setup -q -n nss-3.11
cd mozilla
%patch1 -p0
%patch45 -p1 -b .fixrandom

%patch50 -p1
%patch51 -p1

# netscape/mozilla
find -type f | xargs perl -pi -e "s|\~\/\.netscape|\~\/\.mozilla|g"

cd ..

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

export BUILD_OPT=1
export OPTIMIZER="%{optflags} -fno-strict-aliasing"
export XCFLAGS="%{optflags} -fno-strict-aliasing"
export LIBDIR=%{_libdir}
export USE_SYSTEM_ZLIB=1
export ZLIB_LIBS="-lz"

%ifarch x86_64 ppc64 ia64 s390x
export USE_64=1
%endif

cd mozilla/security/nss
%{__make} nss_build_all
cd ../../..

cd mozilla/security/coreconf/nsinstall
%{__make}
cd ../../../..

cd mozilla/security/nss/lib/pki1
%{__make}
cd ../../../../..

%install
%{__rm} -rf %{buildroot}

cd mozilla/dist/$(uname -s)*

%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -pL bin/* %{buildroot}%{_bindir}
%{__rm} -f %{buildroot}%{_bindir}/*.so

%if %{with_lib}
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_includedir}/nss
%{__cp} -prL ../public/nss/* %{buildroot}%{_includedir}/nss
%{__cp} -pL  lib/libnss%{major}.so \
             lib/libnss.a \
             lib/libnssckbi.so \
             lib/libsmime%{major}.so \
             lib/libsmime.a \
             lib/libsoftokn%{major}.so \
             lib/libsoftokn%{major}.chk \
             lib/libssl%{major}.so \
             lib/libssl.a \
             %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_libdir}/pkgconfig
%{__install} %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/nss.pc
%{__perl} -pi -e 's|(^libdir=)(.*)|\1%{_libdir}|' %{buildroot}%{_libdir}/pkgconfig/nss.pc
cat %{buildroot}%{_libdir}/pkgconfig/nss.pc
%endif

cd ../../..

cd mozilla/security/nss/cmd/smimetools
%{__install} -m 755 smime %{buildroot}%{_bindir}
%{__perl} -pi -e 's|/usr/local/bin|%{_bindir}|g' %{buildroot}%{_bindir}/smime
cd ../../../../..

# add docs
mkdir -p docs/SSLsample
cp mozilla/security/nss/cmd/SSLsample/README docs/SSLsample/

mkdir -p docs/bltest
cp -rp mozilla/security/nss/cmd/bltest/tests/* docs/bltest/

mkdir -p docs/certcgi
cp mozilla/security/nss/cmd/certcgi/*.html docs/certcgi/
cp mozilla/security/nss/cmd/certcgi/HOWTO.txt docs/certcgi/

mkdir -p docs/modutil
cp mozilla/security/nss/cmd/modutil/*.html docs/modutil/

mkdir -p docs/signtool
cp mozilla/security/nss/cmd/signtool/README docs/signtool/

mkdir -p docs/signver
cp mozilla/security/nss/cmd/signver/examples/1/*.pl docs/signver/
cp mozilla/security/nss/cmd/signver/examples/1/*.html docs/signver/

mkdir -p docs/ssltap
cp mozilla/security/nss/cmd/ssltap/*.html docs/ssltap/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc docs/*
%attr(0755,root,root) %{_bindir}/*

%if %{with_lib}
%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.chk

%files -n %{libname}-devel
%defattr(644, root, root, 755)
%{_includedir}/nss/
%{_libdir}/pkgconfig/*

%files -n %{libname}-static-devel
%defattr(-, root, root)
%{_libdir}/*.a
%endif

%changelog
* Thu Apr 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.11-1mdk
- drop redundant patches; P0,P4
- drop upstream patches; P2,P3,P85
- added P50,P51 from fedora

* Fri Nov 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1:3.9.2-1mdk
- rolled back to match mozilla-firefox libs
- added some patches from the mozilla-firefox package
- added P4 to teach it ~/.mozilla
 
* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.10.2-3mdk
- Fix BuildRequires

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.10.2-2mdk
- Fix BuildRequires

* Wed Nov 02 2005 David Walluck <walluck@mandrake.org> 0:3.10.2-1mdk
- 3.10.2

* Fri Jan 28 2005 David Walluck <walluck@mandrake.org> 3.9.2-1mdk
- release

